<template>
  <v-layout>
    <v-row class="d-flex justify-center flex-column">
      <h1 class="text-center mb-5">
        Simulação
      </h1>
      <v-data-table
        :headers="headers"
        :items="desserts"
        :items-per-page="1"
        class="elevation-1"
        hide-default-footer
      />
    </v-row>
  </v-layout>
</template>

<script>
export default {
  name: 'TableInfoSimulation',
  props: {
    values: {
      type: Array,
      required: true
    }
  },
  data: () => ({
    headers: [
      { text: 'Origem', value: 'origin' },
      { text: 'Destino', value: 'destination' },
      { text: 'Minutos', value: 'minutes' },
      { text: 'Plano', value: 'plan' },
      { text: 'Com FaleMais', value: 'withPlan' },
      { text: 'Sem FaleMais', value: 'withOutPlan' }
    ],
    desserts: []
  }),
  mounted () {
    this.desserts = this.values
  }
}
</script>

<style scoped>
</style>
